Subject: Re: bug#51768: 29.0.50; User font settings are ignored (Win10)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Nov 2021 20:46:12 +0200

> From: Arash Esbati <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 11 Nov 2021 18:52:30 +0100
> 
> >> (custom-set-faces
> >>  ;; custom-set-faces was added by Custom.
> >>  ;; If you edit it by hand, you could mess it up, so be careful.
> >>  ;; Your init file should contain only one such instance.
> >>  ;; If there is more than one, they won't work right.
> >>  '(default ((t (:family "Source Code Pro Medium" :foundry "outline"
> >> :slant normal :weight medium :height 90 :width normal))))
> >>  '(fixed-pitch ((t (:inherity default)))))
> >> 
> >> Emacs from master (3e23494394) ignores these settings and starts with
> >> Arial which looks likte this:
> >
> > If you revert commit 32086ea23, does the problem go away?
> 
> Yes, it does.  I did
> 
>   git checkout a491b73c765adde894acdbafc6fd97edd4343c2c
> 
> and built again.  Font settings are respected.

I think I figured it out.  It seems to be a cockpit error: the
"Medium" part is not part of the :family, and you already say
":weight medium" in the attributes anyway.  Try this instead:

 '(default ((t (:family "Source Code Pro" :foundry "outline" :slant normal :weight medium :height 90 :width normal))))

With this, I get the same results as with an older Emacs.  It is true
that the older Emacs also accepted "Source Code Pro Medium" as the
family, but the result was that it loaded the same font as the master
branch without "Medium".

Does this resolve your issue?